import type { Request as ExRequest } from "express";
import { Get, Request, Route, Tags } from "tsoa";
import type { HealthResponse } from "../models";

@Route("health")
@Tags("Health")
export class HealthController {
  @Get()
  public getHealth(@Request() _request: ExRequest): HealthResponse {
    return { status: "ok" };
  }
}
